unit PosDlg;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, ComCtrls, Main, Dialogs, RasterFontEditor;

type
    TItem = record
              Row : integer;
              Col : integer;
            end;
    PItem = ^TItem;

  TSetPosDialog = class(TForm)
    Panel2: TPanel;
    OKBtn: TButton;
    CancelBtn: TButton;
    ScrollBox1: TScrollBox;
    StatusLine: TStatusBar;
    cbFixHor: TCheckBox;
    cbFixVer: TCheckBox;
    cbFixWidth: TCheckBox;
    cbFixHeight: TCheckBox;
    btnColor: TButton;
    ColorDialog: TColorDialog;
    rfEdit: TRasterFontEditor;
    CheckBox1: TCheckBox;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure btnColorClick(Sender: TObject);
    procedure cbFixHorClick(Sender: TObject);
    procedure cbFixVerClick(Sender: TObject);
    procedure cbFixWidthClick(Sender: TObject);
    procedure cbFixHeightClick(Sender: TObject);
    procedure rfEditMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure rfEditMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure rfEditMouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure CheckBox1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  SetPosDialog: TSetPosDialog;

implementation

{$R *.DFM}

procedure TSetPosDialog.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
  Screen.Cursor := crDefault;
end;

procedure TSetPosDialog.btnColorClick(Sender: TObject);
begin
  ColorDialog.Color := rfEdit.SelectedColor;
  if ColorDialog.Execute then
  begin
    rfEdit.SelectedColor:=ColorDialog.Color;
  end;
end;

procedure TSetPosDialog.cbFixHorClick(Sender: TObject);
begin
  rfEdit.FixHorPos := cbFixHor.Checked;
end;

procedure TSetPosDialog.cbFixVerClick(Sender: TObject);
begin
  rfEdit.FixVerPos := cbFixVer.Checked;
end;

procedure TSetPosDialog.cbFixWidthClick(Sender: TObject);
begin
  rfEdit.FixWidth := cbFixWidth.Checked;
end;

procedure TSetPosDialog.cbFixHeightClick(Sender: TObject);
begin
  rfEdit.FixHeight := cbFixHeight.Checked;
end;

procedure TSetPosDialog.rfEditMouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  StatusLine.Panels[1].Text := '('+IntToStr(rfEdit.SelectLeft)+','+IntToStr(rfEdit.SelectTop)+') - ('+
                               IntToStr(rfEdit.SelectWidth)+','+IntToStr(rfEdit.SelectHeight)+')';
end;

procedure TSetPosDialog.rfEditMouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
begin
  StatusLine.Panels[0].Text := IntToStr(X)+' x '+IntToStr(Y);
  StatusLine.Panels[1].Text := '('+IntToStr(rfEdit.SelectLeft)+','+IntToStr(rfEdit.SelectTop)+') - ('+
                               IntToStr(rfEdit.SelectWidth)+','+IntToStr(rfEdit.SelectHeight)+')';
end;

procedure TSetPosDialog.rfEditMouseUp(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  StatusLine.Panels[1].Text := '('+IntToStr(rfEdit.SelectLeft)+','+IntToStr(rfEdit.SelectTop)+') - ('+
                               IntToStr(rfEdit.SelectWidth)+','+IntToStr(rfEdit.SelectHeight)+')';
end;

procedure TSetPosDialog.CheckBox1Click(Sender: TObject);
begin
  rfEdit.SpaceSelect := CheckBox1.Checked;
end;

end.
